#!/bin/bash 

# Convert $1, eggdoc->html scheme source, to .texi, .info and .pdf
# output using eggdoc-texinfo.

die() {
  echo $* 1>&2
  exit 1
}

DIR=`mktemp -d eggdoc.texi.XXXXXXX`

csi -I ~/scheme/eggdoc-texinfo/extras \
    -R eggdoc-texinfo-shim \
    -script $1  > $DIR/eggdoc-output.texi  || die

OLDDIR=`pwd`

cd "$DIR" &&
 makeinfo eggdoc-output.texi &&
 TEXI=`ls -1 *.info` &&
 FN=`basename $TEXI .info` &&
 mv eggdoc-output.texi "$FN".texi &&
 texi2pdf -q -c "$FN".texi &&
 mv "$FN".info "$OLDDIR" &&
 mv "$FN".pdf  "$OLDDIR" &&
 mv "$FN".texi "$OLDDIR" &&
 cd "$OLDDIR" && 
 rm -rf "$DIR"  || die
